# Sublime Text 3 Preferences Files

I’m providing you with a set of preferences for Sublime Text 3, in order to maintain consistency across all the languages we’ll work with in class. Depending on the course, you may not need all of them, but install them, regardless, and we’ll discuss in class which ones you may remove.

For an explanation of all the entries, and for help creating your own preferences files, go [here](http://www.create-sublime-text-user-preferences-file.org/).

## Installation

### Mac
Place all the files ending in `.sublime-settings` into Sublime Text 3’s `User` folder, even if it means overriding your own files. On a Mac, that folder is located in…

    ~/Library/"Application Support"/"Sublime Text 3"/Packages/

![](sublimes-user-folder.png)

(The tilde followed by a forward slash (`~/`) in the path above is synonymous with the path to your username folder.) If the `User` folder under the `Packages` folder does not exist, create it, making sure to observe case.

### Windows
In Windows 8.1, the `User` folder is located in…

    C:\Users\YOUR_USERNAME\AppData\Roaming\Sublime Text 3\Packages\

where `YOUR_USER_NAME` is your Windows username. Just like the case for the Mac, if the `User` folder does not exist, create it, making sure to observe case.

---

README last updated: *12 February 2017*
Preferences files last updated: *25 June 2015*

— Roy Vanegas
